<?php

class App {
	
	protected $controller = 'home';
	
	protected $method = 'index';
	
	protected $params = [];
	
	public function __construct() {
		//print_r($this->parseUrl());
		$url = $this->parseUrl();
		
		// laat de array waarden zien
		//print_r($url);
		
	// controle of de controle bestaat (in de map controllers)
	if(file_exists('../app/controllers/'. $url[0] . '.php'))
	{
		$this->controller = $url[0];
		unset($url[0]);
	}
	// importeer het bestand home.php bijvoorbeeld.
	require_once '../app/controllers/' . $this->controller . '.php';
    
	//echo $this->controller;
	
	// nieuwe instantie met new object
	$this->controller = new $this->controller;
	
	if(isset($url[1]))
	{
		if(method_exists($this->controller,$url[1]))
		{
			// als methode bestaat geef ok (dit staat in de controller map home.php bijvoorbeeld)
			//echo 'Ok';
			$this->method = $url[1];
			unset($url[1]);
		}
	}
	$this->params = $url ? array_values($url) :[];
	
	// functie aanroepen uit home.php
	call_user_func_array([$this->controller, $this->method],$this->params);
	
	//$this->params = array_values($url);
	//print_r($this->params);
	}
	
	// function voor de afhandeling van de URL.
	public function parseUrl() {
		if(isset($_GET['url'])) {
			return $url = explode('/', filter_var(rtrim($_GET['url'], '/'), FILTER_SANITIZE_URL));
		}
	}
}



?>